﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SQLite;

namespace WindowsFormsAppBsc2024_25_9
{
    public partial class Form1 : Form
    {
        String connectionString = "Data source=aae2024_1.db;Version=3";
        SQLiteConnection connection;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            connection = new SQLiteConnection(connectionString);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            connection.Open();
            String insertSQL = "Insert into Car(Brand,Model,Year,HP,Price) " +
                "values(@brand,@model,@year,@hp,@price)";
            SQLiteCommand insertCommand = new SQLiteCommand(insertSQL,connection);
            insertCommand.Parameters.AddWithValue("brand", "Nissan");
            insertCommand.Parameters.AddWithValue("model", "Almera");
            insertCommand.Parameters.AddWithValue("year", 2020);
            insertCommand.Parameters.AddWithValue("hp", 90);
            insertCommand.Parameters.AddWithValue("price", "10000");
            insertCommand.ExecuteNonQuery();
            connection.Close();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            connection.Open();
            String createTableSQL = "Create table if not exists Car(" +
                "Car_id integer primary key autoincrement," +
                "Brand Text," +
                "Model Text," +
                "Year integer," +
                "HP integer," +
                "Price integer)";
            SQLiteCommand command = new SQLiteCommand(createTableSQL,connection);
            command.ExecuteNonQuery();
            connection.Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            richTextBox1.Clear();
            connection.Open();
            String selectSQL = "Select * from Car";
            SQLiteCommand command =new SQLiteCommand(selectSQL,connection);
            SQLiteDataReader reader = command.ExecuteReader();
            while (reader.Read())
            {
                richTextBox1.AppendText(reader.GetString(1));
                richTextBox1.AppendText(",");
                richTextBox1.AppendText(reader.GetString(2));
                richTextBox1.AppendText(",");
                richTextBox1.AppendText(reader.GetInt16(3).ToString());
                richTextBox1.AppendText(Environment.NewLine);
            }
            connection.Close() ;
        }
    }
}
